.navbar-toggler {
	padding: 0;
	border-width: 0;
}
.navbar-scrolled {
	background-color:#fff !important;
	box-shadow: 0 15px 10px -15px #111;
}
@media screen and (min-width:768px){
    .navbar-brand-centered {
        position: absolute;
        left: 50%;
        display: block;
        width: 160px;
        text-align: center;
        background-color: #eee;
    }
    .navbar>.container .navbar-brand-centered,
    .navbar>.container-fluid .navbar-brand-centered {
        margin-left: -80px;
    }
}

.swal-wide {
    width: 850px !important;
}

.black-link {
    color: black;
}

.input-group.rounded-pill .form-control:last-child,
.input-group.rounded-pill .custom-select:last-child,
.input-group.rounded-pill .input-group-append>.btn:last-child,
.input-group.rounded-pill .input-group-append>.input-group-text:last-child {
    border-top-right-radius: 50rem;
    border-bottom-right-radius: 50rem;
}

.input-group.rounded-pill .form-control:first-child,
.input-group.rounded-pill .custom-select:first-child,
.input-group.rounded-pill .input-group-prepend>.btn:first-child,
.input-group.rounded-pill .input-group-prepend>.input-group-text:first-child {
    border-top-left-radius: 50rem;
    border-bottom-left-radius: 50rem;
}

.btn-group>.btn-group:not(:last-child)>.btn, .btn-group>.btn:not(:last-child):not(.dropdown-toggle) {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}
.btn-group>.btn-group:not(:first-child)>.btn, .btn-group>.btn:not(:first-child) {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}
.btn-circle {
    border-radius: 50% !important;
    aspect-ratio: 1 / 1;
}
.btn-simple {
    padding: .25rem .5rem;
}
.btn-simple:hover {
    color: #6c757d;
}

.badge{
  font-size: 110%;
}

a > .img-fluid{
  height: 150px;
}
.mcqChoise,.msqChoise{
  cursor:pointer;
  margin-bottom: 20px;
  padding: 10px
}
.selected {
    background-color: inherit;
    color: inherit;
    box-shadow: 0 0 0 4px rgb(4, 130, 255,0.7) inset;
}

.correctAnswer {
    background-color: inherit;
    color: #155724;
    box-shadow: 0 0 0 4px rgb(40, 167, 69) inset;
}

.qDegree {
    max-width: 30px;
}

.wrongAnswer {
    background-color: inherit;
    color: #721c24;
    box-shadow: 0 0 0 4px rgb(220, 53, 69) inset;
}

.imgboxdisplaynon {
    display: none !important;
}

#pagination-container{
margin: 0 auto;
}

.nav.nav-flush.nav-tabs {
    font-size: 1.2em;
    background-color: transparent;
}
.nav.nav-flush.nav-tabs .nav-item.show .nav-link, .nav.nav-flush.nav-tabs .nav-link.active {
    color: var(--primary);
    border-color: transparent transparent var(--primary);
    border-bottom: 4px solid !important;
    font-weight: bold;
}
.nav.nav-flush.nav-tabs .nav-link {
    background-color: transparent;
    border-width: 0;
}

.nav.nav-flush.nav-tabs button:focus {
    outline: none;
    box-shadow: none;
}

.boxshadow
{
	position: fixed;
	bottom: 0;
    left:0;
    right:0;
    border-radius: 25px 25px 0 0;
	padding: 18px;
	z-index: 10;
	opacity: 0.95;
    -webkit-box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
       -moz-box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
            box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
}
.boxshadow:after
{
	right:10px;
    left:auto;
	position: sticky;
	top: 0;
	padding: 18px;
	z-index: 010;
    -webkit-transform:skew(8deg) rotate(3deg);
       -moz-transform:skew(8deg) rotate(3deg);
        -ms-transform:skew(8deg) rotate(3deg);
         -o-transform:skew(8deg) rotate(3deg);
            transform:skew(8deg) rotate(3deg);
}

.card-footer {
    background-color: #fff;
}

.panel-header-collapse {
    cursor: pointer;
}

.preloader {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   z-index: 9999;
   background-image: url('../images/loading.gif');
   background-repeat: no-repeat;
   background-color: #FFF;
   background-position: center;
}

.loader {
    width: 25px;
    margin-left: calc(50% - 25px);
    aspect-ratio: 1;
    display: grid;
    border-width: 2px;
    border-style: solid;
    border-radius: 50%;
    border-color: #055ccc #0000;
    animation: l16 1s infinite linear;
}
.loader::before,
.loader::after {
    content: "";
    grid-area: 1/1;
    margin: 2px;
    border: inherit;
    border-radius: 50%;
}
.loader::before {
    border-color: #f03355 #0000;
    animation: inherit;
    animation-duration: .5s;
    animation-direction: reverse;
}
.loader::after {
    margin: 6px;
    border-color: #057634 #0000;
    transform: rotate(90deg);
}

.loader.loader-lg {
    width: 50px;
    border-width: 4px;
}
.loader.loader-lg::after {
    margin: 9px;
}

@keyframes l16 {
    100% {
        transform: rotate(1turn)
    }
}

.parentSelect {
    font-weight: bold;
}

/* Charts Start */
@-webkit-keyframes bake-pie {
    from {
        -webkit-transform: rotate(0deg) translate3d(0, 0, 0);
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
}

@keyframes bake-pie {
    from {
        -webkit-transform: rotate(0deg) translate3d(0, 0, 0);
        transform: rotate(0deg) translate3d(0, 0, 0);
    }
}

.pie-chart {
    /*font-family: "Open Sans", Arial;*/
}

.pie-chart--wrapper {
    width: 400px;
    margin: 30px auto;
    text-align: center;
}

.pie-chart__pie, .pie-chart__legend {
    display: inline-block;
    vertical-align: top;
}

.pie-chart__pie {
    position: relative;
    height: 200px;
    width: 200px;
    margin: 10px auto 35px;
}

.pie-chart__pie::before {
    content: "";
    display: block;
    position: absolute;
    z-index: 1;
    width: 100px;
    height: 100px;
    background: #EEE;
    border-radius: 50%;
    top: 50px;
    left: 50px;
}

.pie-chart__pie::after {
    content: "";
    display: block;
    width: 120px;
    height: 2px;
    background: rgba(0, 0, 0, 0.1);
    border-radius: 50%;
    box-shadow: 0 0 3px 4px rgba(0, 0, 0, 0.1);
    margin: 220px auto;
}

.slice {
    position: absolute;
    width: 200px;
    height: 200px;
    clip: rect(0px, 200px, 200px, 100px);
    -webkit-animation: bake-pie 1s;
    animation: bake-pie 1s;
}

.slice span {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: black;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    clip: rect(0px, 200px, 200px, 100px);
}

.pie-chart__legend {
    display: block;
    list-style-type: none;
    margin: 0 auto;
    background: #FFF;
    padding: 0 0.75em 0.05em;
    font-size: 13px;
    box-shadow: 1px 1px 0 #DDD, 2px 2px 0 #BBB;
    text-align: left;
    width: 65%;
}

.pie-chart__legend li {
    height: 1.25em;
    margin-bottom: 0.7em;
    padding-left: 0.5em;
    border-left: 1.25em solid black;
}

.pie-chart__legend em {
    font-style: normal;
}

.pie-chart__legend span {
    float: right;
}

.pie-charts {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
}

@media (max-width: 500px) {
    .pie-charts {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        flex-direction: column;
    }
}

/* DATATABLES COMPONENT */
div.dt-buttons {

}

div.dt-buttons .fa {
    font-size: 1.5em;
}
button.dt-button, div.dt-button, a.dt-button,
button.dt-button:hover:not(.disabled), div.dt-button:hover:not(.disabled), a.dt-button:hover:not(.disabled) {
    border: 1px solid transparent;
    background-image: none;
    background-color: transparent;
    padding: 0;
}

button.dt-button:hover:not(.disabled), div.dt-button:hover:not(.disabled), a.dt-button:hover:not(.disabled) {
    color: var(--primary);
}

.dataTables_wrapper .dataTables_filter input {
    border-radius: 25px;
    border: 2px solid #c8c8c8;
    padding: 0 10px;
}

.dataTables_wrapper .dataTables_filter input:focus {
    outline: none;
    box-shadow: none;
}

/* PROGRESS CIRCLE COMPONENT */
@media (max-width: 830px) {
    .gradeCircule {
        display: none;
    }
}

.circle-text, .circle-info, .circle-text-half, .circle-info-half {
    width: 100%;
    position: absolute;
    text-align: center;
    display: inline-block;
}

.circle-info, .circle-info-half {
    color: #999;
}

.rounded {
    border-radius: 0.5rem !important;
}

.rounded-sm {
    border-radius: 0.25rem !important;
}

.rounded-lg {
    border-radius: 1rem !important;
}

.dashboard {
    display: -ms-flexbox!important;
    display: flex !important;
    -ms-flex-wrap: wrap!important;
    -ms-flex-pack: center!important;
    flex-wrap: wrap !important;
    justify-content: space-between !important;
    gap: 1rem;
    margin: 1rem;
}
.dashboard > .card {
    min-width: 175px;
    flex-grow: 1;
    position: relative;
    padding: .125rem .75rem .5rem .75rem;
    margin: 0;
    border-radius: 1rem !important;
    border: 0 solid transparent;
    box-shadow: 0 0 .75rem rgba(0, 0, 0, .125) !important;
    background-color: #fff;
    background-clip: border-box;
}
.dashboard > .card .card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
	padding: 0;
	background-color: transparent;
	border: none;
}
.dashboard > .card .card-header:first-child {
    font-size: 1.2em;
    font-weight: 500;
}
.dashboard > .card .card-header .btn {
    padding: 0;
    color: inherit !important;
}
.dashboard > .card hr {
    margin: .125rem 0;
}
.dashboard > .card .card-body {
    padding: 0;
}
.dashboard > .card .card-body > div {
    display: flex;
	gap: 1rem;
    justify-content: space-between;
    align-items: center;
}
.dashboard > .card .card-body > div ul {
	flex-grow: 1;
}
.dashboard > .card .card-body ul li {
	position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
	flex-wrap: wrap;
}

.dashboard > .card .card-body ul li:not(:last-child) {
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

.dashboard > .card.alert-light {
    border-left: 6px solid #383d41;
}
.dashboard > .card.alert-primary {
    background-color: #cce5ff !important;
    border-left: 6px solid #004085;
}
.dashboard > .card.alert-secondary {
    background-color: #e2e3e5 !important;
    border-left: 6px solid #383d41;
}
.dashboard > .card.alert-success {
    background-color: #d4edda !important;
    border-left: 6px solid #155724;
}
.dashboard > .card.alert-info {
    background-color: #d1ecf1 !important;
    border-left: 6px solid #0c5460;
}
.dashboard > .card.alert-warning {
    background-color: #fff3cd !important;
    border-left: 6px solid #856404;
}
.dashboard > .card.alert-danger {
    background-color: #f8d7da !important;
    border-left: 6px solid #721c24;
}

.dash-block.card {
    /*background-color: rgba(0, 0, 0, .03);*/
    margin: 1rem 0;
    border-radius: 1rem !important;
}
.dash-block.card.alert-secondary {
    background-color: #f9f8ff !important;
}
.dash-block.card > .card-header {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
    background-color: transparent !important;
    border-bottom: none !important;
    display: flex !important;
    justify-content: space-between !important;
}

.dash-block.card > .card-header .card-title {
    margin-bottom: 0;
}
.dash-block.card > .card-body {
    background-color: #fff;
    border-radius: inherit !important;
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .15) !important;
}

.dash-bar {
  position: relative;
  width: 64px;
  height: 64px;
  border-radius: 50%;
  background: conic-gradient(var(--main-bar) calc(var(--progress) * 1%), var(--secondary-bar) 0);
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Inner circle for ring effect */
.dash-bar::before {
  content: '';
  position: absolute;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: rgba(255,255,255,0.8);
}

.percentage, .counter {
  position: relative;
  font-size: 1em;
  font-weight: bold;
  color: var(--main-bar);
}
.percentage::after {
	content: '%';
	position: relative;
	font-size: 0.5em;
	font-weight: bold;
	color: var(--main-bar);
}

.sert-card .card-header, .sert-card ul > li {
    display: flex !important;
    justify-content: space-between !important;
}

.sert-card .card-header, .sert-card ul > li span:last-child {
    text-align: right;
}

.sert-card .list-group-item {
    padding: .5rem !important;
}

@media only screen and (max-width: 40em) {
    .table-stack thead th {
        display: none;
    }
    .table-stack td, .table-stack th {
        display: block;
    }
    .table-stack td[data-th]:before, .table-stack th[data-th]:before{
        content: attr(data-th) ': ';
        font-weight: bold;
    }
}